Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(2324)

Issue 297420043: Delay import of `midi' module.

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years, 5 months ago by lemzwerg
Modified:
3 years, 5 months ago
Reviewers:
pkx, dak, mail
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

Delay import of `midi' module. `make all' starts with generating the manual pages for lilypond's python scripts using help2man. However, at the time `midi2ly --help' gets called, the `midi' python module (which is based on code written in C) imported by `midi2ly' has not been compiled yet, making help2man abort.

Patch Set 1 #

Total comments: 1

Patch Set 2 : Fix `make test` run. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+3 lines, -1 line) Patch
M scripts/midi2ly.py View 1 2 chunks +3 lines, -1 line 0 comments Download

Messages

Total messages: 19
dak
https://codereview.appspot.com/297420043/diff/1/scripts/midi2ly.py File scripts/midi2ly.py (right): https://codereview.appspot.com/297420043/diff/1/scripts/midi2ly.py#newcode925 scripts/midi2ly.py:925: import midi Doesn't this merely work by chance? If ...
3 years, 5 months ago (2016-05-31 07:13:04 UTC) #1
dak
On 2016/05/31 07:13:04, dak wrote: > https://codereview.appspot.com/297420043/diff/1/scripts/midi2ly.py > File scripts/midi2ly.py (right): > > https://codereview.appspot.com/297420043/diff/1/scripts/midi2ly.py#newcode925 > ...
3 years, 5 months ago (2016-05-31 10:24:52 UTC) #2
lemzwerg
> Ok, running the script with just --version or --help does indeed not > need ...
3 years, 5 months ago (2016-05-31 10:35:45 UTC) #3
lemzwerg
> > Can you push this right to staging > > Done. Aargh, I forgot ...
3 years, 5 months ago (2016-05-31 10:37:33 UTC) #4
mail_philholmes.net
----- Original Message ----- From: <lemzwerg@googlemail.com> To: <dak@gnu.org> Cc: <reply@codereview-hr.appspotmail.com>; <lilypond-devel@gnu.org> Sent: Tuesday, May 31, ...
3 years, 5 months ago (2016-05-31 11:01:59 UTC) #5
lemzwerg
OK, will fix that. Please remove the current patch from staging.
3 years, 5 months ago (2016-05-31 11:39:18 UTC) #6
dak
"Phil Holmes" <mail@philholmes.net> writes: > ----- Original Message ----- > From: <lemzwerg@googlemail.com> > To: <dak@gnu.org> ...
3 years, 5 months ago (2016-05-31 11:39:29 UTC) #7
lemzwerg
Fix `make test` run.
3 years, 5 months ago (2016-05-31 11:59:19 UTC) #8
lemzwerg
> Werner, do you think you can push a fixed version? Done. For me, `make ...
3 years, 5 months ago (2016-05-31 12:02:36 UTC) #9
mail_philholmes.net
Patchy-staging running now. -- Phil Holmes ----- Original Message ----- From: <lemzwerg@googlemail.com> To: <dak@gnu.org>; <mail@philholmes.net> ...
3 years, 5 months ago (2016-05-31 12:06:16 UTC) #10
mail_philholmes.net
----- Original Message ----- From: <lemzwerg@googlemail.com> To: <dak@gnu.org>; <mail@philholmes.net> Cc: <lilypond-devel@gnu.org>; <reply@codereview-hr.appspotmail.com> Sent: Tuesday, May ...
3 years, 5 months ago (2016-05-31 12:30:57 UTC) #11
dak
"Phil Holmes" <mail@philholmes.net> writes: > Patchy-staging running now. >> >> https://codereview.appspot.com/297420043/ Well, hooray! master has ...
3 years, 5 months ago (2016-05-31 12:37:26 UTC) #12
pkx
On 31/05/16 13:37, David Kastrup wrote: > "Phil Holmes" <mail@philholmes.net> writes: > >> Patchy-staging running ...
3 years, 5 months ago (2016-05-31 12:56:57 UTC) #13
dak
James <pkx@gnu.org> writes: > On 31/05/16 13:37, David Kastrup wrote: >> "Phil Holmes" <mail@philholmes.net> writes: ...
3 years, 5 months ago (2016-05-31 15:43:03 UTC) #14
pkx
hello On 31/05/16 13:56, James wrote: > > > On 31/05/16 13:37, David Kastrup wrote: ...
3 years, 5 months ago (2016-05-31 15:43:16 UTC) #15
dak
James <pkx@gnu.org> writes: > On 31/05/16 13:56, James wrote: >> >> >> On 31/05/16 13:37, ...
3 years, 5 months ago (2016-05-31 15:53:31 UTC) #16
pkx
On 31/05/16 16:52, David Kastrup wrote: > That sounds like Lilydev and 32bit. I'd be ...
3 years, 5 months ago (2016-05-31 16:15:34 UTC) #17
dak
James <pkx@gnu.org> writes: > On 31/05/16 16:52, David Kastrup wrote: > >> That sounds like ...
3 years, 5 months ago (2016-05-31 16:18:36 UTC) #18
dak
3 years, 5 months ago (2016-05-31 18:39:31 UTC) #19
James <pkx@gnu.org> writes:

> Although I hadn't noticed that I had the default values of j3 and it
> took nearly an hour to compile the doc

Luxury.  <URL:https://www.youtube.com/watch?v=VKHFZBUTA4k>

> (no wonder people hate doing it, I had forgotten what it was like in
> the olden days when I used to do doc work on my 2 CPU iMac running
> LilyDev in a VM).

16:55:29 (UTC) Begin LilyPond compile, previous commit at
	1b6d6de94a26c3e8b75e1f78f6d0cfc9eec96a89
16:55:43 Merged staging, now at:	1b6d6de94a26c3e8b75e1f78f6d0cfc9eec96a89
16:55:44 	Success:		./autogen.sh --noconfigure
16:56:01 	Success:		/tmp/lilypond-autobuild/configure --disable-optimising
16:56:04 	Success:		nice make clean
17:03:03 	Success:		nice make -j3 CPU_COUNT=3
17:18:03 	Success:		nice make test -j3 CPU_COUNT=3
18:32:37 	Success:		nice make doc -j3 CPU_COUNT=3
18:32:54 To ssh://git.sv.gnu.org/srv/git/lilypond.git
   905109e..1b6d6de  test-staging -> master
18:32:54 	Success:		pushed to master

-- 
David Kastrup
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b